# $Revision: 1.103 $, $Date: 2008/12/30 22:58:15 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	Parser
Summary:	HTML::Parser - parsing and extracting information from HTML documents
Summary(cs.UTF-8):	HTML::Parser - modul pro parsování HTML v Perlu
Summary(pl.UTF-8):	HTML::Parser - analiza i wyciąganie informacji z dokumentów HTML
Summary(ru.UTF-8):	HTML::Parser - набор модулей для "разбора" HTML-документов
Summary(uk.UTF-8):	HTML::Parser - набір модулів для розбору HTML-документів
Summary(zh_CN.UTF-8):	Perl 的 HTML 解析器模块。
Name:		perl-HTML-Parser
Version:	3.59
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	190950f442ff4a8e59e637714105a01b
URL:		http://search.cpan.org/dist/HTML-Parser/
BuildRequires:	perl-HTML-Tagset >= 3
BuildRequires:	perl-devel >= 1:5.8.0
%{?with_tests:BuildRequires:	perl-libwww}
BuildRequires:	rpm-perlprov >= 4.1-13
BuildConflicts:	perl-HTML-Stream = 1.45-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# HTTP::Headers (perl-libwww) is not always required
%define		_noautoreq	'perl(HTTP::Headers)'

%description
Perl module HTML::Parser that allows to parse and extract information
from HTML documents.

%description -l cs.UTF-8
Balíček perl-HTML-Parser obsahuje modul pro Perl, který slouží k
parsování a extrahování informací z HTML dokumentu.

%description -l da.UTF-8
HTML::Parser modul til Perl for at tolka og extrahere information fra
HTML-dokument.

%description -l de.UTF-8
HTML::Parser modul für Perl zum Parsen und Extrahieren von
Informationen aus HTML-Dokumenten.

%description -l es.UTF-8
Módulo HTML::Parser para perl para analizar y extraer información a
partir de documentos HTML.

%description -l fr.UTF-8
Module HTML::Parser pour perl permettant d'analyser et d'extraire des
informations de documents HTML.

%description -l it.UTF-8
Il modulo HTML::Parser per perl, che consente di analizzare documenti
HTML e di estrarne informazioni.

%description -l ja.UTF-8
HTML ドキュメントから情報を解析、抽出するための Perl 用の HTML::Parser
。

%description -l ko.UTF-8
HTML::Parser 모줄은 펄이 HTML 문서들로 부터 정보를 파싱하고 가져오게끔
합니다.

%description -l pl.UTF-8
Moduł Perla HTML::Parser pozwalający na parsowanie i wyciąganie
informacji z dokumentu HTML.

%description -l pt_BR.UTF-8
Módulo Perl HTML::Parser - Uma coleção de módulos para examinar e
extrair informações de documentos HTML.

%description -l ru.UTF-8
HTML::Parser - набор модулей для "разбора" HTML-документов.

%description -l uk.UTF-8
HTML::Parser - набір модулів для розбору HTML-документів.

%description -l pt.UTF-8
O módulo HTML::Parser para o Perl analisar e extrair informações de
documentos HTML.

%description -l sv.UTF-8
HTML::Parser modul till perl för att tolka och extrahera information
från HTML-dokument.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	DEFINE="-DMARKED_SECTION -DUNICODE_ENTITIES" \
	< /dev/null
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%dir %{perl_vendorarch}/HTML
%{perl_vendorarch}/HTML/*.pm
%dir %{perl_vendorarch}/auto/HTML
%dir %{perl_vendorarch}/auto/HTML/Parser
%{perl_vendorarch}/auto/HTML/Parser/Parser.bs
%attr(755,root,root) %{perl_vendorarch}/auto/HTML/Parser/Parser.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-Parser.spec,v $
Revision 1.103  2008/12/30 22:58:15  charles
- if with_tests - BR: perl-libwww

Revision 1.102  2008/12/01 13:56:56  arekm
- up to 3.59

Revision 1.101  2008-03-02 15:21:04  radek
- release 3

Revision 1.100  2008-02-08 13:53:31  arekm
- rel 2

Revision 1.99  2008-01-10 08:38:38  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.98  2007-09-11 07:45:50  arekm
- up to 3.56

Revision 1.97  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.96  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.95  2006/10/09 12:24:52  qboosh
- added URL

Revision 1.94  2006/08/20 07:58:16  qboosh
- grrr, release 1

Revision 1.93  2006/08/08 21:18:18  agaran
- up to 3.55, rel 0.1, builds here

Revision 1.92  2006/05/25 10:25:55  ankry
- release down to 1

Revision 1.91  2006/05/25 09:06:53  blaass
- updated to 3.54, rel 2

Revision 1.90  2005/11/26 10:10:03  charles
- updated to 3.46

Revision 1.89  2005/05/11 00:21:41  pluto
- release 2 for Th.

Revision 1.88  2005/01/09 14:53:07  adamg
- updated to 3.45

Revision 1.87  2004/12/31 11:08:02  darekr
- updated to 3.44

Revision 1.86  2004/12/12 10:25:41  adamg
- updated to 3.43

Revision 1.85  2004/12/01 12:57:08  radek
- autoupdated to 3.41

Revision 1.84  2004/11/11 21:20:57  paladine
- updated to 3.38

Revision 1.83  2004/11/11 13:20:18  paladine
- updated to 3.37

Revision 1.82  2004/11/03 22:30:25  paladine
- formatting

Revision 1.81  2004/10/24 15:04:57  paladine
- spelling fix

Revision 1.80  2004/06/05 18:10:40  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.79  2004/05/07 00:32:02  ankry
- rel. 2

Revision 1.78  2004/05/06 18:43:11  ankry
- fixed perl-devel BR

Revision 1.77  2004/04/22 06:53:52  ankry
- license fixes and unification

Revision 1.76  2004/04/14 17:08:52  ankry
- cosmetics, unifications

Revision 1.75  2004/04/04 20:07:12  adamg
- updated to 3.36

Revision 1.74  2004/01/13 12:13:12  trojan
- updated to 3.35

Revision 1.73  2003/11/01 00:44:44  qboosh
- added docs and informative summaries

Revision 1.72  2003/10/28 11:50:32  trojan
- updated to 3.34

Revision 1.71  2003/10/15 15:24:07  migo
- s/make/%{__make/

Revision 1.70  2003/10/15 14:56:58  migo
- up to 3.33
- tests bcond

Revision 1.69  2003/10/11 20:59:18  migo
- up to 3.32

Revision 1.68  2003/08/20 21:16:05  grzegol
- updated to 3.31

Revision 1.67  2003/08/19 14:28:06  qboosh
- updated _noauto for new wrappers, cosmetics

Revision 1.66  2003/06/04 06:24:25  trojan
- fixed md5

Revision 1.65  2003/06/04 06:17:31  trojan
- updated to 3.2.8

Revision 1.64  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.63  2003/05/25 06:24:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.62  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.61  2003/03/17 22:00:42  qboosh
- use perl >= 5.7.0 unicode support

Revision 1.60  2003/03/02 20:37:38  radek
- fixup

Revision 1.59  2003/03/01 19:36:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.58  2003/03/01 19:09:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.57  2003/02/24 20:31:54  radek
- use the __perl macro

Revision 1.56  2003/02/18 15:33:01  ankry
- massive attack: change CPAN URLs

Revision 1.55  2003/02/05 16:18:23  ankry
- autoupdated to 3.27

Revision 1.54  2002/12/02 11:06:24  ankry
- massive cleaning

Revision 1.53  2002/07/15 15:10:26  ankry
- merged translations from RH
- some standarization
- cleaning
- release 13

Revision 1.52  2002/07/15 12:52:07  qboosh
- typo

Revision 1.51  2002/07/15 12:47:25  kloczek
- bump release to 12 and merge translations from KSI and Conectiva.

Revision 1.50  2002/07/11 13:04:58  qboosh
- fixed

Revision 1.49  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.48  2002/07/11 07:59:40  depesz
- new version; should work; STBR

Revision 1.47  2002/07/10 08:47:32  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.46  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.45  2002/03/03 21:09:16  marcus
- rel.3.

Revision 1.44  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.43  2002/02/10 15:27:20  depesz
adapterized

Revision 1.42  2002/02/09 12:59:37  depesz
- unified source path

Revision 1.41  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.40  2001/11/10 19:08:50  speedy
some changes in License field [s/LIcense/License/ or s/Distributable/distributable]

Revision 1.39  2001/07/16 00:10:08  qboosh
- added %%{perl_sitearch}/{,auto/}HTML dirs (no other package uses them)
- release 2

Revision 1.38  2001/05/12 03:28:26  kloczek
- updated to 3.25.

Revision 1.37  2001/05/11 08:22:13  mis
- autoupdated to 3.24

Revision 1.36  2001/05/06 15:19:10  mis
- autoupdated to 3.23

Revision 1.35  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.34  2001/04/23 14:21:57  mis
- autoupdated to 3.22

Revision 1.33  2001/04/17 12:10:16  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.32  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.31  2001/04/12 12:43:48  mis
- autoupdated to 3.21

Revision 1.30  2001/04/05 01:15:41  qboosh
- removed rpmperl-automation-workaround patch, use noautoreq macro instead

Revision 1.29  2001/04/04 15:37:01  mis
- autoupdated to 3.20

Revision 1.28  2001/03/12 22:27:10  kloczek
- updated to 3.19.

Revision 1.27  2001/02/28 18:58:04  mis
- updated (by autoup) to 3.18

Revision 1.26  2001/02/11 17:51:22  depesz
perl-HTML-Parser:
- added woraround for rpm automation (some modules are NOT required for using
	this module!!!)

Revision 1.25  2001/02/08 17:48:40  kloczek
- release 2.

Revision 1.24  2001/02/08 17:40:04  qboosh
- BuildRequires: perl-HTML-Tagset
- Requires: perl-libwww (not buildreq - would cause loop)

Revision 1.23  2001/02/03 20:17:29  kloczek
- updated to 3.15 and fixed Source url.

Revision 1.22  2001/01/25 20:03:45  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.21  2001/01/06 16:37:20  kloczek
- release 5.

Revision 1.20  2001/01/05 09:47:33  yaro
- removed Build-require: perl-libwww

Revision 1.19  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.18  2000/12/06 19:30:21  kloczek
- release 4,
- use new rpm automation,
- rebuild against perl 5.6.

Revision 1.17  2000/07/16 23:47:37  kloczek
- release 3.

Revision 1.16  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.14  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:54:53  baggins
- translated kloczkish into english

Revision 1.12  2000/02/17 20:21:42  pius
- added 'BuildConflicts: perl-HTML-Stream = 1.45-3'

Revision 1.11  2000/02/17 19:41:14  pius
- removed perl-HTML-Stream from BuildRequires

Revision 1.10  2000/02/17 18:09:57  pius
- updated to 3.05
- more BuildRequires rules

Revision 1.9  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.8  1999/10/30 10:24:19  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- skip perl(HTTP::Headers) during dependency generation
- release++

Revision 1.7  1999/09/28 12:28:42  pius
- removed directories owned by perl-mod-skel from package
- release up

Revision 1.6  1999/09/15 00:07:33  wiget
- release++

Revision 1.5  1999/09/14 16:58:53  wiget
- fixed BuildRequires:

Revision 1.4  1999/08/28 12:10:09  wiget
- modified for perl 5.005_61

Revision 1.3  1999/07/26 09:26:33  misiek
- added missing translations

Revision 1.2  1999/07/13 08:01:43  wiget
removed bogus line

Revision 1.1  1999/07/13 07:55:19  wiget
writen from perl-Digest-MD5.spec
